> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start sandbox agent loop

> Success

### Request body

`SandboxAgentLoopStartInput`

<ParamField body="brand_id" type="string (uuid)" required />

<ParamField body="request_id" type="string (uuid)" required />

<ParamField body="loop" type="SandboxAgentLoopInput" required />

### Response

`StartWorkflowResponse`

<ResponseField name="workflow_id" type="string" required />

<ResponseField name="run_id" type="string" />

### Status codes

| Code  | Meaning          |
| ----- | ---------------- |
| `200` | Success          |
| `400` | Validation error |
| `401` | Unauthorized     |
| `404` | Not found        |
| `429` | Rate limited     |
| `500` | Internal error   |

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.workstream.stateset.com/v1/workflows/sandbox-agent-loop/start' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "loop": {
      "session": {
        "name": "string",
        "description": "string",
        "cpus": "",
        "memory": "",
        "isolation": "",
        "sandbox_timeout_seconds": 1,
        "image": "string",
        "env": {},
        "budget": {
          "iteration_limit": null,
          "duration_limit_seconds": null,
          "cost_cap_cents": null
        },
        "rotation": {
          "pre_rotate_buffer_seconds": null,
          "include_process_state": null
        },
        "client_id": "string"
      },
      "commands": [
        []
      ],
      "per_exec_timeout_ms": 1,
      "agent": {
        "objective": "string",
        "connector_key": "string",
        "model": "string",
        "system_prompt": "string",
        "max_iterations": 1,
        "allowed_executables": [],
        "max_tokens": 1,
        "max_total_tokens": 1,
        "completion_criteria": {
          "exit_code": null,
          "executable": null,
          "stdout_contains": null,
          "stderr_must_be_empty": null
        }
      }
    }
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "workflow_id": "string",
    "run_id": "string"
  }
  ```
</ResponseExample>
